org.optaplanner.benchmark.impl

## Class FreemarkerXmlPlannerBenchmarkFactory

- java.lang.Object
- - org.optaplanner.benchmark.api.PlannerBenchmarkFactory
  - - org.optaplanner.benchmark.impl.AbstractPlannerBenchmarkFactory
    - - org.optaplanner.benchmark.impl.FreemarkerXmlPlannerBenchmarkFactory

-     public class FreemarkerXmlPlannerBenchmarkFactory
      extends AbstractPlannerBenchmarkFactory

  See Also:
    `PlannerBenchmarkFactory`

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.benchmark.impl.AbstractPlannerBenchmarkFactory

      `plannerBenchmarkConfig, solverConfigContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreemarkerXmlPlannerBenchmarkFactory()`
    `FreemarkerXmlPlannerBenchmarkFactory(SolverConfigContext solverConfigContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FreemarkerXmlPlannerBenchmarkFactory` | `configure(File templateFile)`
    `FreemarkerXmlPlannerBenchmarkFactory` | `configure(File templateFile, Object model)`
    `FreemarkerXmlPlannerBenchmarkFactory` | `configure(InputStream templateIn)`
    `FreemarkerXmlPlannerBenchmarkFactory` | `configure(InputStream templateIn, Object model)`
    `FreemarkerXmlPlannerBenchmarkFactory` | `configure(Reader templateReader)`
    `FreemarkerXmlPlannerBenchmarkFactory` | `configure(Reader templateReader, Object model)`
    `FreemarkerXmlPlannerBenchmarkFactory` | `configure(String templateResource)`
    `FreemarkerXmlPlannerBenchmarkFactory` | `configure(String templateResource, Object model)`
    `FreemarkerXmlPlannerBenchmarkFactory` | `configure(freemarker.template.Template template)`
    `FreemarkerXmlPlannerBenchmarkFactory` | `configure(freemarker.template.Template template, Object model)`

    - ### Methods inherited from class org.optaplanner.benchmark.impl.AbstractPlannerBenchmarkFactory

      `buildPlannerBenchmark, buildPlannerBenchmark, buildPlannerBenchmark, checkPlannerBenchmarkConfigNotNull, getPlannerBenchmarkConfig`

    - ### Methods inherited from class org.optaplanner.benchmark.api.PlannerBenchmarkFactory

      `createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromKieContainerXmlResource, createFromKieContainerXmlResource, createFromKieContainerXmlResource, createFromSolverFactory, createFromSolverFactory, createFromXmlFile, createFromXmlFile, createFromXmlInputStream, createFromXmlInputStream, createFromXmlReader, createFromXmlReader, createFromXmlResource, createFromXmlResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FreemarkerXmlPlannerBenchmarkFactory

          public FreemarkerXmlPlannerBenchmarkFactory()

    - #### FreemarkerXmlPlannerBenchmarkFactory

          public FreemarkerXmlPlannerBenchmarkFactory(SolverConfigContext solverConfigContext)

      Parameters:
        `solverConfigContext` - never null

  - ### Method Detail

    - #### configure

          public FreemarkerXmlPlannerBenchmarkFactory configure(String templateResource)

      Parameters:
        `templateResource` - never null, a classpath resource as defined by `ClassLoader.getResource(String)`
      Returns:
        this

    - #### configure

          public FreemarkerXmlPlannerBenchmarkFactory configure(String templateResource,
                                                                Object model)

      Parameters:
        `templateResource` - never null, a classpath resource as defined by `ClassLoader.getResource(String)`
        `model` - sometimes null
      Returns:
        this

    - #### configure

          public FreemarkerXmlPlannerBenchmarkFactory configure(File templateFile)

    - #### configure

          public FreemarkerXmlPlannerBenchmarkFactory configure(File templateFile,
                                                                Object model)

    - #### configure

          public FreemarkerXmlPlannerBenchmarkFactory configure(InputStream templateIn)

    - #### configure

          public FreemarkerXmlPlannerBenchmarkFactory configure(InputStream templateIn,
                                                                Object model)

    - #### configure

          public FreemarkerXmlPlannerBenchmarkFactory configure(Reader templateReader)

    - #### configure

          public FreemarkerXmlPlannerBenchmarkFactory configure(Reader templateReader,
                                                                Object model)

    - #### configure

          public FreemarkerXmlPlannerBenchmarkFactory configure(freemarker.template.Template template)

    - #### configure

          public FreemarkerXmlPlannerBenchmarkFactory configure(freemarker.template.Template template,
                                                                Object model)

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.